<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>All Classes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.js"></script>
</head>
<body class="all-classes-index">
<script type="text/javascript">var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":2,"i6":2,"i7":2,"i8":1,"i9":2,"i10":2,"i11":1,"i12":2,"i13":2,"i14":2,"i15":2,"i16":2,"i17":2,"i18":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<div class="typeSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="typeSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Classes</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Interface Summary</button><button role="tab" aria-selected="false" aria-controls="typeSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Class Summary</button></div>
<div id="typeSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><a href="business_layer/BaseProduct.html" title="class in business_layer">BaseProduct</a></td>
<th class="colLast" scope="row">
<div class="block">– extinde clasa MenuItem, contine un constructor si suprascrie metoda toString();</div>
</th>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><a href="presentation_layer/ChefObserver.html" title="class in presentation_layer">ChefObserver</a></td>
<th class="colLast" scope="row">
<div class="block">– implementeaza interfata Observer; contine o variabila instanta de tipul ViewChefGUI, care reprezinta fereastra pentru bucatar, si o variabila de tip Restaurant care permite accesul bucatarului la comenzile preluate de chelner; pe langa constructor, clasa descrie corpul metodei update() din interfata, ce are rolul de a actualiza tabela de comenzi de care trebuie sa tina cont bucatarul; pentru a putea urmari efectul design pattern-ului Observer, este necesara deschiderea ferestrei pentru bucatar si mentinerea ei deschisa inainte de a vizualiza, adauga, sterge sau modifica orice comanda in fereastra pentru chelner;</div>
</th>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><a href="business_layer/CompositeProduct.html" title="class in business_layer">CompositeProduct</a></td>
<th class="colLast" scope="row">
<div class="block">- extinde clasa MenuItem.; aceasta contine in plus ca variabila instanta un obiect de tipul ArrayList<MenuItem> pentru stocarea produselor din care este alcatuit produsul compus (am folosit aici design pattern-ul Composite); pe langa constructor, clasa contine un getter si un setter pentru lista de produse si suprascrie metoda computePrice() din superclasa si, de asemenea, mai contine si metoda toString();</div>
</th>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><a href="presentation_layer/ControllerAdministratorGUI.html" title="class in presentation_layer">ControllerAdministratorGUI</a></td>
<th class="colLast" scope="row">
<div class="block">– contine trei variabile instanta : un obiect de tipul ViewAdministratorGUI, care reprezinta fereastra din UI, un obiect de tipul Restaurant si un obiect de tipul RestaurantSerializator, care se ocupa cu serializarea datelor din restaurant; clasa contine un constructor si clase interne care implementeaza interfata ActionListener, clase care descriu comportamentul fiecarui buton din fereastra pentru administrator : Clasa ActionListenerAdd, Clasa ActionListenerEdit, Clasa ActionListenerDelete, Clasa ActionListenerShowAll si Clasa ActionListenerBack;</div>
</th>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><a href="presentation_layer/ControllerChefGUI.html" title="class in presentation_layer">ControllerChefGUI</a></td>
<th class="colLast" scope="row">
<div class="block">– contine trei variabile instanta : un obiect de tipul ViewChefGUI, ce reprezinta fereastra din UI, un obiect de tipul Restaurant si un obiect de tipul ChefObserver, care este notificat de fiecare data cand trebuie sa se afiseze in interfata comenzile introduse de chelner; de asemenea, clasa contine un constructor;</div>
</th>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><a href="presentation_layer/ControllerStart.html" title="class in presentation_layer">ControllerStart</a></td>
<th class="colLast" scope="row">
<div class="block">– contine trei variabile instanta : un obiect de tipul ViewStart, ce reprezinta fereastra din UI, un obiect de tipul Restaurant si un obiect de tipul RestaurantSerializator, care se ocupa cu serializarea datelor din restaurant; clasa are un constructor si o clasa interna care implementeaza interfata ActionListener, clasa ce descrie comportamentul combo box-ului din fereastra de start : Clasa ActionListenerComboBox;</div>
</th>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><a href="presentation_layer/ControllerWaiterGUI.html" title="class in presentation_layer">ControllerWaiterGUI</a></td>
<th class="colLast" scope="row">
<div class="block">- contine trei variabile instanta : un obiect de tipul ViewWaiterGUI, care reprezinta fereastra din UI, un obiect de tipul Restaurant si un obiect de tipul RestaurantSerializator, care se ocupa cu serializarea datelor din restaurant; clasa contine un constructor si clase interne care implementeaza interfata ActionListener, clase ce descriu comportamentul fiecarui buton din fereastra pentru chelner : Clasa ActionListenerAdd, Clasa ActionListenerGenerateBill, Clasa ActionListenerShowAll, Clasa ActionListenerDelete si Clasa ActionListenerBack;</div>
</th>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><a href="data_layer/FileWriterClass.html" title="class in data_layer">FileWriterClass</a></td>
<th class="colLast" scope="row">
<div class="block">– contine o metoda care are rolul de a crea un fisier si de a scrie informatiile necesare facturii in acesta;</div>
</th>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><a href="business_layer/IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></td>
<th class="colLast" scope="row">
<div class="block">– in aceasta interfata sunt declarate metodele de adaugare, stergere si editare a numelui/pretului unui produs, de creare si stergere a unei comenzi, de calculare a pretului total al unei comenzi si de generare a facturii pentru o comanda;</div>
</th>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><a href="main/MainClass.html" title="class in main">MainClass</a></td>
<th class="colLast" scope="row">
<div class="block">– nu contine variabile instanta si nici constructori; metoda statica main a acestei clase lanseaza in executie aplicatia si serializeaza si deserializeaza datele pentru restaurant.</div>
</th>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><a href="business_layer/MenuItem.html" title="class in business_layer">MenuItem</a></td>
<th class="colLast" scope="row">
<div class="block">– implementeaza interfata Serializable; contine trei variabile instanta: id-ul produsului (int), numele produsului (String) si pretul (float); clasa contine doi constructori, unul care are parametrii pentru toate variabilele instanta si celalalt contine doar parametrii pentru primele doua variabile instanta (acest constructor este creat pentru clasa CompositeProduct care nu foloseste la momentul instantierii obiectelor sale campul price, ci il calculeaza ulterior); pe langa constructori, contine metode de get si set pentru variabilele instanta si metoda computePrice();</div>
</th>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><a href="presentation_layer/Observer.html" title="interface in presentation_layer">Observer</a></td>
<th class="colLast" scope="row">
<div class="block">– este o interfata ce implementeaza interfata Serializable; contine metoda abstracta update() ( folosita la implementarea design pattern-ului Observer);</div>
</th>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><a href="business_layer/Order.html" title="class in business_layer">Order</a></td>
<th class="colLast" scope="row">
<div class="block">– implementeaza interfata Serializable; contine trei variabile instanta: id-ul comenzii (int), data (Date) si numarul mesei (int); pe langa constructor, clasa contine metode de get si set pentru variabilele instanta si suprascrie metodele toString(), hashCode() si equals(Object);</div>
</th>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><a href="business_layer/Restaurant.html" title="class in business_layer">Restaurant</a></td>
<th class="colLast" scope="row">
<div class="block">– extinde Observable si implementeaza interfetele Serializable si IRestaurantProcessing; clasa contine o constanta serVUID (static final long), necesara in procesele de serializare/deserializare, o lista de obiecte de tip Observer (ArrayList<Observer>), un obiect de tipul Map<Order, ArrayList<MenuItem>> pentru maparea comenzilor intr-o structura de tip hashtable, o lista de produse pentru meniu (ArrayList<MenuItem>); pe langa constructor, clasa contine o metoda care notifica toti observerii, cate o metoda pentru generarea liniilor din tabelele pentru comenzi, respectiv meniu, metoda isWellFormed() si metode de get pentru variabilele instanta; in plus, clasa descrie corpul metodelor declarate in interfata IRestaurantProcessing;</div>
</th>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><a href="data_layer/RestaurantSerializator.html" title="class in data_layer">RestaurantSerializator</a></td>
<th class="colLast" scope="row">
<div class="block">– contine o metoda care are rolul de a serializa datele cu privire la un obiect de tipul Restaurant, starea obiectului fiind stocata in fisierul “restaurant.ser”;</div>
</th>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><a href="presentation_layer/ViewAdministratorGUI.html" title="class in presentation_layer">ViewAdministratorGUI</a></td>
<th class="colLast" scope="row">
<div class="block">- extinde clasa JFrame; contine ca variabile instanta obiecte de tipul JTextField pentru id-ul, numele si pretul produsului, dar si pentru produsele din care este alcatuit produsul compus (pentru adaugarea unui produs de baza sau produs compus), mai contine, de asemenea, variabile instanta pentru noul nume si pentru noul pret (pentru editarea produsului), obiecte de tipul JButton pentru butoanele corespunzatoare operatiilor de adaugare, editare, stergere a unui produs, afisarea tabelului, butonul back, pentru revenirea la fereastra principala a aplicatiei, si patru obiecte de tipul JTable, DefaultTableModel, JScrollPane si respectiv ListSelectionModel, pentru afisarea tabelului in interfata grafica, plus o variabila de tipul int in care este stocat id-ul selectat din tabel; clasa contine un constructor in care este creata fereastra, metode de get pentru variabilele instanta si metode utilizate pentru a adauga cate un ActionListener fiecarui buton; in cazul operatiilor de editare sau stergere a unui produs, este necesara selectarea id-ului corespunzator produsului existent in meniu;</div>
</th>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><a href="presentation_layer/ViewChefGUI.html" title="class in presentation_layer">ViewChefGUI</a></td>
<th class="colLast" scope="row">
<div class="block">- extinde clasa JFrame; contine ca variabile instanta trei obiecte de tipul JTable, DefaultTableModel si JScrollPane pentru afisarea tabelului in interfata grafica; clasa contine un constructor in care este creata fereastra si metode de get pentru variabilele instanta;</div>
</th>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><a href="presentation_layer/ViewStart.html" title="class in presentation_layer">ViewStart</a></td>
<th class="colLast" scope="row">
<div class="block">- extinde clasa JFrame; contine ca variabila instanta un obiect de tipul JComboBox<String>, ce permite selectarea urmatoarei ferestre ce se doreste a fi vizualizata; clasa contine un constructor in care este creata fereastra, o metoda de get pentru variabila instanta si o metoda utilizata pentru a adauga un ActionListener combo box-ului;</div>
</th>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><a href="presentation_layer/ViewWaiterGUI.html" title="class in presentation_layer">ViewWaiterGUI</a></td>
<th class="colLast" scope="row">
<div class="block">- extinde clasa JFrame; contine ca variabile instanta obiecte de tipul JTextField pentru id-ul comenzii, numarul mesei, produsele ce compun comanda (pentru adaugarea unei comenzi), valoarea totala a comenzii (se afiseaza cand se apasa butonul pentru generarea facturii), mai contine si obiecte de tipul JButton pentru butoanele corespunzatoare operatiilor de adaugare, stergere a unei comenzi, afisarea tabelului, generarea facturii si butonul back, pentru revenirea in fereastra principala, patru obiecte de tipul JTable, DefaultTableModel, JScrollPane si ListSelectionModel pentru afisarea tabelului in interfata grafica, plus o variabila de tipul int in care este stocat id-ul selectat din tabel; clasa contine un constructor in care este creata fereastra, metode de get pentru variabilele instanta si metode utilizate pentru a adauga cate un ActionListener fiecarui buton; in situatia in care se doreste generarea facturii sau stergerea unei comenzi, este necesara selectarea id-ului corespunzator comenzii respective;</div>
</th>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
